
From: Anton Blanchard <anton@samba.org>

Here are fixes for some false positives.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/iommu.c           |    2 +-
 25-akpm/arch/ppc64/kernel/nvram.c           |    2 +-
 25-akpm/arch/ppc64/kernel/pSeries_pci.c     |    2 +-
 25-akpm/arch/ppc64/kernel/rtasd.c           |    2 +-
 25-akpm/arch/ppc64/kernel/setup.c           |    2 +-
 25-akpm/arch/ppc64/kernel/signal.c          |    2 +-
 25-akpm/arch/ppc64/kernel/signal32.c        |    2 +-
 25-akpm/arch/ppc64/kernel/sysfs.c           |   13 +++++++------
 25-akpm/arch/ppc64/oprofile/op_model_rs64.c |    4 ++--
 25-akpm/arch/ppc64/xmon/xmon.c              |    2 +-
 25-akpm/drivers/char/hvsi.c                 |    2 +-
 25-akpm/drivers/macintosh/via-pmu.c         |    2 +-
 12 files changed, 19 insertions(+), 18 deletions(-)

diff -puN arch/ppc64/kernel/iommu.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/kernel/iommu.c
--- 25/arch/ppc64/kernel/iommu.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.460777896 -0700
+++ 25-akpm/arch/ppc64/kernel/iommu.c	2004-09-11 16:30:17.480774856 -0700
@@ -229,7 +229,7 @@ int iommu_map_sg(struct device *dev, str
 		struct scatterlist *sglist, int nelems,
 		enum dma_data_direction direction)
 {
-	dma_addr_t dma_next, dma_addr;
+	dma_addr_t dma_next = 0, dma_addr;
 	unsigned long flags;
 	struct scatterlist *s, *outs, *segstart;
 	int outcount;
diff -puN arch/ppc64/kernel/nvram.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/kernel/nvram.c
--- 25/arch/ppc64/kernel/nvram.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.462777592 -0700
+++ 25-akpm/arch/ppc64/kernel/nvram.c	2004-09-11 16:30:17.481774704 -0700
@@ -340,7 +340,7 @@ static int nvram_create_os_partition(voi
 	struct list_head * p;
 	struct nvram_partition * part;
 	struct nvram_partition * new_part = NULL;
-	struct nvram_partition * free_part;
+	struct nvram_partition * free_part = NULL;
 	int seq_init[2] = { 0, 0 };
 	loff_t tmp_index;
 	long size = 0;
diff -puN arch/ppc64/kernel/pSeries_pci.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/kernel/pSeries_pci.c
--- 25/arch/ppc64/kernel/pSeries_pci.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.464777288 -0700
+++ 25-akpm/arch/ppc64/kernel/pSeries_pci.c	2004-09-11 16:30:17.482774552 -0700
@@ -497,7 +497,7 @@ unsigned long __init find_and_init_phbs(
 	struct pci_controller *phb;
 	unsigned int root_size_cells = 0;
 	unsigned int index;
-	unsigned int *opprop;
+	unsigned int *opprop = NULL;
 	struct device_node *root = of_find_node_by_path("/");
 
 	if (naca->interrupt_controller == IC_OPEN_PIC) {
diff -puN arch/ppc64/kernel/rtasd.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/kernel/rtasd.c
--- 25/arch/ppc64/kernel/rtasd.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.465777136 -0700
+++ 25-akpm/arch/ppc64/kernel/rtasd.c	2004-09-11 16:30:17.483774400 -0700
@@ -106,7 +106,7 @@ static char *rtas_event_type(int type)
 static void printk_log_rtas(char *buf, int len)
 {
 
-	int i,j,n;
+	int i,j,n = 0;
 	int perline = 16;
 	char buffer[64];
 	char * str = "RTAS event";
diff -puN arch/ppc64/kernel/setup.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/kernel/setup.c
--- 25/arch/ppc64/kernel/setup.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.467776832 -0700
+++ 25-akpm/arch/ppc64/kernel/setup.c	2004-09-11 16:30:17.484774248 -0700
@@ -598,7 +598,7 @@ static int __init set_preferred_console(
 {
 	struct device_node *prom_stdout;
 	char *name;
-	int offset;
+	int offset = 0;
 
 	/* The user has requested a console so this is already set up. */
 	if (strstr(saved_command_line, "console="))
diff -puN arch/ppc64/kernel/signal32.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/kernel/signal32.c
--- 25/arch/ppc64/kernel/signal32.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.468776680 -0700
+++ 25-akpm/arch/ppc64/kernel/signal32.c	2004-09-11 16:30:17.485774096 -0700
@@ -189,7 +189,7 @@ static long restore_user_regs(struct pt_
 	elf_greg_t64 *gregs = (elf_greg_t64 *)regs;
 	int i;
 	long err = 0;
-	unsigned int save_r2;
+	unsigned int save_r2 = 0;
 #ifdef CONFIG_ALTIVEC
 	unsigned long msr;
 #endif
diff -puN arch/ppc64/kernel/signal.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/kernel/signal.c
--- 25/arch/ppc64/kernel/signal.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.470776376 -0700
+++ 25-akpm/arch/ppc64/kernel/signal.c	2004-09-11 16:30:17.484774248 -0700
@@ -178,7 +178,7 @@ static long restore_sigcontext(struct pt
 	elf_vrreg_t __user *v_regs;
 #endif
 	unsigned long err = 0;
-	unsigned long save_r13;
+	unsigned long save_r13 = 0;
 	elf_greg_t *gregs = (elf_greg_t *)regs;
 	int i;
 
diff -puN arch/ppc64/kernel/sysfs.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/kernel/sysfs.c
--- 25/arch/ppc64/kernel/sysfs.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.471776224 -0700
+++ 25-akpm/arch/ppc64/kernel/sysfs.c	2004-09-11 16:30:17.481774704 -0700
@@ -97,6 +97,13 @@ __setup("smt-snooze-delay=", setup_smt_s
 
 /* PMC stuff */
 
+#ifdef CONFIG_PPC_ISERIES
+void ppc64_enable_pmcs(void)
+{
+	/* XXX Implement for iseries */
+}
+#else
+
 /*
  * Enabling PMCs will slow partition context switch times so we only do
  * it the first time we write to the PMCs.
@@ -104,12 +111,6 @@ __setup("smt-snooze-delay=", setup_smt_s
 
 static DEFINE_PER_CPU(char, pmcs_enabled);
 
-#ifdef CONFIG_PPC_ISERIES
-void ppc64_enable_pmcs(void)
-{
-	/* XXX Implement for iseries */
-}
-#else
 void ppc64_enable_pmcs(void)
 {
 	unsigned long hid0;
diff -puN arch/ppc64/oprofile/op_model_rs64.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/oprofile/op_model_rs64.c
--- 25/arch/ppc64/oprofile/op_model_rs64.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.472776072 -0700
+++ 25-akpm/arch/ppc64/oprofile/op_model_rs64.c	2004-09-11 16:30:17.486773944 -0700
@@ -21,8 +21,8 @@
 
 static void ctrl_write(unsigned int i, unsigned int val)
 {
-	unsigned int tmp;
-	unsigned long shift, mask;
+	unsigned int tmp = 0;
+	unsigned long shift = 0, mask = 0;
 
 	dbg("ctrl_write %d %x\n", i, val);
 
diff -puN arch/ppc64/xmon/xmon.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal arch/ppc64/xmon/xmon.c
--- 25/arch/ppc64/xmon/xmon.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.474775768 -0700
+++ 25-akpm/arch/ppc64/xmon/xmon.c	2004-09-11 16:30:17.487773792 -0700
@@ -2059,7 +2059,7 @@ ppc_inst_dump(unsigned long adr, long co
 {
 	int nr, dotted;
 	unsigned long first_adr;
-	unsigned long inst, last_inst;
+	unsigned long inst, last_inst = 0;
 	unsigned char val[4];
 
 	dotted = 0;
diff -puN drivers/char/hvsi.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal drivers/char/hvsi.c
--- 25/drivers/char/hvsi.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.475775616 -0700
+++ 25-akpm/drivers/char/hvsi.c	2004-09-11 16:30:17.488773640 -0700
@@ -1004,7 +1004,7 @@ static int hvsi_write(struct tty_struct 
 {
 	struct hvsi_struct *hp = tty->driver_data;
 	const char *source = buf;
-	char *kbuf;
+	char *kbuf = NULL;
 	unsigned long flags;
 	int total = 0;
 	int origcount = count;
diff -puN drivers/macintosh/via-pmu.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal drivers/macintosh/via-pmu.c
--- 25/drivers/macintosh/via-pmu.c~ppc64-fix-spurious-warnings-uncovered-by-wno-uninitialized-removal	2004-09-11 16:30:17.477775312 -0700
+++ 25-akpm/drivers/macintosh/via-pmu.c	2004-09-11 16:30:17.491773184 -0700
@@ -1446,7 +1446,7 @@ static struct adb_request* __pmac
 pmu_sr_intr(struct pt_regs *regs)
 {
 	struct adb_request *req;
-	int bite;
+	int bite = 0;
 
 	if (via[B] & TREQ) {
 		printk(KERN_ERR "PMU: spurious SR intr (%x)\n", via[B]);
_
